Name:		cdaserver
Version:	0.2.2
Release:	%mkrel 1
URL:		http://www.xtreemos.org/
Group:		System/Cluster
License:	GPL
Source0:	cdaserver-%{version}.tar.bz2
Source1:	%{name}_sh

BuildRequires:	junit java-1.7.0-icedtea-devel
BuildRequires:	log4j xvoms
Requires:	jakarta-commons-collections jakarta-commons-logging classpathx-mail antlr asm
Requires:	jmock1 dom4j geronimo-jta-1.0.1B-api cglib
Requires:	log4j xvoms
Requires:	bouncycastle => 1.39
Requires:       daemonize cdautil cdavo cdaxvomsutil
Requires:	cdaserver-jardeps
Requires(pre):  rpm-helper
Requires(post): rpm-helper
Requires(preun):rpm-helper
Requires(postun): rpm-helper
Summary:	XtreemOS CDA server
BuildArch:	noarch

%description
XtreemOS CDA server

%package jardeps
Summary:        cdaserver Jars deps
Group:          System/Cluster
%description jardeps
cdaserver jar dependencies

%prep
%setup -q

%build
#./linkjars
ant compile
ant dist

%install
%{__rm} -Rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/xos/config/%name
%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__mkdir_p} %{buildroot}%{_logdir}/%name
%{__mkdir_p} %{buildroot}%{_var}/lib/cdauser
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}

cp -a dist/%name.jar %{buildroot}/%{_javadir}/
cp -v log4j.properties %{buildroot}/%{_sysconfdir}/xos/config/%name/
cp -v cdaserver.properties %{buildroot}/%{_sysconfdir}/xos/config/%name/

cp -a %{SOURCE1} %{buildroot}/%{_bindir}/%name

mv lib/c3p0-0.9.1.jar lib/c3p0.jar
cp -v lib/c3p0.jar %{buildroot}/%{_javadir}/
cp -v lib/hibernate3.jar %{buildroot}/%{_javadir}/
cp -v lib/mysql-connector-java-5.1.6-bin.jar %{buildroot}/%{_javadir}/
pushd %{buildroot}/%{_javadir}
ln -sf mysql-connector-java-5.1.6-bin.jar mysql-connector-java.jar
popd

%{__install} -d %{buildroot}%{_initrddir}
%{__install} -m0755 cdaserver %{buildroot}%{_initrddir}/%name
%{__install} -m0644 cdaserver.sysconfig %{buildroot}/%{_sysconfdir}/sysconfig/%name

touch %{buildroot}%{_logdir}/%name/cdaserver.log


%clean
%{__rm} -Rf %{buildroot}

%pre 
%_pre_useradd cdauser %{_var}/lib/cdauser /bin/sh

%post 
%_post_service %name

%preun
%_preun_service %name

%postun
%_postun_userdel cdauser


%files
%doc README AUTHORS INSTALL docs/
%defattr(-,root,root)
%{_javadir}/%name.jar
%attr(0755,cdauser,cdauser) %dir %{_logdir}/%name/cdaserver.log
%attr(0700,cdauser,cdauser) %dir %{_var}/lib/cdauser
%attr(0755,root,root) %{_bindir}/%name
%config(noreplace) %attr(0600,cdauser,root) %{_sysconfdir}/xos/config/%name/cdaserver.properties
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/xos/config/%name/log4j.properties
%config(noreplace) %{_sysconfdir}/sysconfig/%name
%attr(0755,root,root) %{_initrddir}/%name
%{_datadir}/%name/

%files jardeps
%defattr(-,root,root)
%{_javadir}/mysql-connector-java*
%{_javadir}/c3p0*
%{_javadir}/hibernate3.jar
